package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterSetNlsDateLanguageStatement extends SQLStatementImpl {
   protected Type type;

   public Type getType() {
      return this.type;
   }

   public void setType(Type type) {
      this.type = type;
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public static enum Type {
      AMERICAN("AMERICAN"),
      ENGLISH("ENGLISH"),
      SIMPLIFIED_CHINESE("SIMPLIFIED CHINESE");

      public final String name;

      private Type() {
         this(null);
      }

      private Type(String name) {
         this.name = name;
      }
   }
}
